package com.eactive.eai.rms.onl.manage.adapter.adapter.ui;

import java.util.List;
import java.util.Map;

import com.fasterxml.jackson.annotation.JsonProperty;

import lombok.Data;

@Data
public class AdapterGroupUI {

	/**
	 * 어댑터업무그룹 명
	 */
	@JsonProperty("ADPTRBZWKGROUPNAME")
	private String adptrbzwkgroupname;

	@JsonProperty("NEWADPTRBZWKGROUPNAME")
	private String newadptrbzwkgroupname;

	/**
	 * 어댑터 메시지 유형코드
	 */
	@JsonProperty("ADPTRMSGPTRNCD")
	private String adptrmsgptrncd;

	/**
	 * EAI 업무구분코드
	 */
	@JsonProperty("EAIBZWKDSTCD")
	private String eaibzwkdstcd;

	/**
	 * 어댑터 코드
	 */
	@JsonProperty("ADPTRCD")
	private String adptrcd;

	/**
	 * 어댑터메시지 구분코드
	 */
	@JsonProperty("ADPTRMSGDSTCD")
	private String adptrmsgdstcd;

	/**
	 * 어댑터입출력 구분코드
	 */
	@JsonProperty("ADPTRIODSTCD")
	private String adptriodstcd;

	/**
	 * 참고클래스명
	 */
	@JsonProperty("REFCLSNAME")
	private String refclsname;

	/**
	 * 송수신 시각 로그 여부
	 */
	@JsonProperty("SNDRCVHMSLOGYN")
	private String sndrcvhmslogyn;

	/**
	 * 어댑터사용여부
	 */
	@JsonProperty("ADPTRUSEYN")
	private String adptruseyn;

	/**
	 * 특정LU 사용여부
	 */
	@JsonProperty("SPCFCLUUSEYN")
	private String spcfcluuseyn;

	/**
	 * 어댑터업무그룹 설명
	 */
	@JsonProperty("ADPTRBZWKGROUPDESC")
	private String adptrbzwkgroupdesc;

	/**
	 * 대외기관번호
	 */
	@JsonProperty("OSIDINSTINO")
	private String osidinstino;

	@JsonProperty("ADPTRINSTICODE")
	private String adptrinsticode;

	@JsonProperty("BIDINTERFACE")
	private String bidinterface;

	@JsonProperty("CIRNUMBER")
	private String cirnumber;

	@JsonProperty("COMPANYCODEDATA")
	private String companycodedata;

	@JsonProperty("DRADPTRYN")
	private String dradptryn;

	@JsonProperty("EAILASTAMNDYMS")
	private String eailastamndyms;

	@JsonProperty("EAISEVRDSTCD")
	private String eaisevrdstcd;

	@JsonProperty("KESAUSEYN")
	private String kesauseyn;

	@JsonProperty("MONICNDNCTNT")
	private String monicndnctnt;

	@JsonProperty("MONIUSEYN")

	private String moniuseyn;

	@JsonProperty("MSGENCODE")
	private String msgencode;

	@JsonProperty("OSIDINSTIBZWKRSEMPNAME")
	private String osidinstibzwkrsempname;

	@JsonProperty("OSIDINSTITELNO")
	private String osidinstitelno;

	@JsonProperty("OSIDINSTIYN")
	private String osidinstiyn;

	@JsonProperty("TESTMASTERYN")
	private String testmasteryn;

	@JsonProperty("ADPTRINSTINAME")
	private String adptrinstiName;

	@JsonProperty("LINKEDADAPTERGROUP")
	private String linkedAdapterGroup;

	@JsonProperty("SAMESESSIONYN")
	private String sameSessionYn;

	@JsonProperty("PAIRADAPTERYN")
	private String pairAdapterYn;

	@JsonProperty("adapters")
	private List<AdapterUI> adapters;

	@JsonProperty("dInfo")
	private Map<String, Object> dInfo;

	@JsonProperty("ADAPTERDATA")
	private Map<String, AdapterUI> adapterData;

	private String newadptrnickname;

	@JsonProperty("CLIENTID")
	private String clientId;

	private String cloneyn;

	public void setNewadptrbzwkgroupname(String newadptrbzwkgroupname) {
		this.newadptrbzwkgroupname = newadptrbzwkgroupname;
	}

	public void setAdptrbzwkgroupname(String adptrbzwkgroupname) {
		this.adptrbzwkgroupname = adptrbzwkgroupname;
	}

	public void setAdptrmsgptrncd(String adptrmsgptrncd) {
		this.adptrmsgptrncd = adptrmsgptrncd;
	}

	public void setEaibzwkdstcd(String eaibzwkdstcd) {
		this.eaibzwkdstcd = eaibzwkdstcd;
	}

	public void setAdptrcd(String adptrcd) {
		this.adptrcd = adptrcd;
	}

	public void setAdptrmsgdstcd(String adptrmsgdstcd) {
		this.adptrmsgdstcd = adptrmsgdstcd;
	}

	public void setAdptriodstcd(String adptriodstcd) {
		this.adptriodstcd = adptriodstcd;
	}

	public void setRefclsname(String refclsname) {
		this.refclsname = refclsname;
	}

	public void setSndrcvhmslogyn(String sndrcvhmslogyn) {
		this.sndrcvhmslogyn = sndrcvhmslogyn;
	}

	public void setAdptruseyn(String adptruseyn) {
		this.adptruseyn = adptruseyn;
	}

	public void setSpcfcluuseyn(String spcfcluuseyn) {
		this.spcfcluuseyn = spcfcluuseyn;
	}

	public void setAdptrbzwkgroupdesc(String adptrbzwkgroupdesc) {
		this.adptrbzwkgroupdesc = adptrbzwkgroupdesc;
	}

	public void setOsidinstino(String osidinstino) {
		this.osidinstino = osidinstino;
	}

	public void setAdptrinsticode(String adptrinsticode) {
		this.adptrinsticode = adptrinsticode;
	}

	public void setBidinterface(String bidinterface) {
		this.bidinterface = bidinterface;
	}

	public void setCirnumber(String cirnumber) {
		this.cirnumber = cirnumber;
	}

	public void setCompanycodedata(String companycodedata) {
		this.companycodedata = companycodedata;
	}

	public void setDradptryn(String dradptryn) {
		this.dradptryn = dradptryn;
	}

	public void setEailastamndyms(String eailastamndyms) {
		this.eailastamndyms = eailastamndyms;
	}

	public void setEaisevrdstcd(String eaisevrdstcd) {
		this.eaisevrdstcd = eaisevrdstcd;
	}

	public void setKesauseyn(String kesauseyn) {
		this.kesauseyn = kesauseyn;
	}

	public void setMonicndnctnt(String monicndnctnt) {
		this.monicndnctnt = monicndnctnt;
	}

	public void setMoniuseyn(String moniuseyn) {
		this.moniuseyn = moniuseyn;
	}

	public void setMsgencode(String msgencode) {
		this.msgencode = msgencode;
	}

	public void setOsidinstibzwkrsempname(String osidinstibzwkrsempname) {
		this.osidinstibzwkrsempname = osidinstibzwkrsempname;
	}

	public void setOsidinstitelno(String osidinstitelno) {
		this.osidinstitelno = osidinstitelno;
	}

	public void setOsidinstiyn(String osidinstiyn) {
		this.osidinstiyn = osidinstiyn;
	}

	public void setTestmasteryn(String testmasteryn) {
		this.testmasteryn = testmasteryn;
	}

	public void setAdptrinstiName(String adptrinstiName) {
		this.adptrinstiName = adptrinstiName;
	}

	public void setAdapters(List<AdapterUI> adapters) {
		this.adapters = adapters;
	}

	public void setAdapterData(Map<String, AdapterUI> adapterData) {
		this.adapterData = adapterData;
	}

	public void setNewadptrnickname(String newadptrnickname) {
		this.newadptrnickname = newadptrnickname;
	}
	
	public void setLinkedAdapterGroup(String linkedAdapterGroup) {
		this.linkedAdapterGroup = linkedAdapterGroup;
	}

	public void setSameSessionYn(String sameSessionYn) {
		this.sameSessionYn = sameSessionYn;
	}

	public void setPairAdapterYn(String pairAdapterYn) {
		this.pairAdapterYn = pairAdapterYn;
	}

	public void setClientId(String clientId) {
		this.clientId = clientId;
	}

	/////////////////////////////////////////////////////////////////
	public void setADPTRBZWKGROUPNAME(String adptrbzwkgroupname) {
		this.adptrbzwkgroupname = adptrbzwkgroupname;
	}

	public void setNEWADPTRBZWKGROUPNAME(String newadptrbzwkgroupname) {
		this.newadptrbzwkgroupname = newadptrbzwkgroupname;
	}

	public void setADPTRMSGPTRNCD(String adptrmsgptrncd) {
		this.adptrmsgptrncd = adptrmsgptrncd;
	}

	public void setEAIBZWKDSTCD(String eaibzwkdstcd) {
		this.eaibzwkdstcd = eaibzwkdstcd;
	}

	public void setADPTRCD(String adptrcd) {
		this.adptrcd = adptrcd;
	}

	public void setADPTRMSGDSTCD(String adptrmsgdstcd) {
		this.adptrmsgdstcd = adptrmsgdstcd;
	}

	public void setADPTRIODSTCD(String adptriodstcd) {
		this.adptriodstcd = adptriodstcd;
	}

	public void setREFCLSNAME(String refclsname) {
		this.refclsname = refclsname;
	}

	public void setSNDRCVHMSLOGYN(String sndrcvhmslogyn) {
		this.sndrcvhmslogyn = sndrcvhmslogyn;
	}

	public void setADPTRUSEYN(String adptruseyn) {
		this.adptruseyn = adptruseyn;
	}

	public void setSPCFCLUUSEYN(String spcfcluuseyn) {
		this.spcfcluuseyn = spcfcluuseyn;
	}

	public void setADPTRBZWKGROUPDESC(String adptrbzwkgroupdesc) {
		this.adptrbzwkgroupdesc = adptrbzwkgroupdesc;
	}

	public void setOSIDINSTINO(String osidinstino) {
		this.osidinstino = osidinstino;
	}

	public void setADPTRINSTICODE(String adptrinsticode) {
		this.adptrinsticode = adptrinsticode;
	}

	public void setBIDINTERFACE(String bidinterface) {
		this.bidinterface = bidinterface;
	}

	public void setCIRNUMBER(String cirnumber) {
		this.cirnumber = cirnumber;
	}

	public void setCOMPANYCODEDATA(String companycodedata) {
		this.companycodedata = companycodedata;
	}

	public void setDRADPTRYN(String dradptryn) {
		this.dradptryn = dradptryn;
	}

	public void setEAILASTAMNDYMS(String eailastamndyms) {
		this.eailastamndyms = eailastamndyms;
	}

	public void setEAISEVRDSTCD(String eaisevrdstcd) {
		this.eaisevrdstcd = eaisevrdstcd;
	}

	public void setKESAUSEYN(String kesauseyn) {
		this.kesauseyn = kesauseyn;
	}

	public void setMONICNDNCTNT(String monicndnctnt) {
		this.monicndnctnt = monicndnctnt;
	}

	public void setMONIUSEYN(String moniuseyn) {
		this.moniuseyn = moniuseyn;
	}

	public void setMSGENCODE(String msgencode) {
		this.msgencode = msgencode;
	}

	public void setOSIDINSTIBZWKRSEMPNAME(String osidinstibzwkrsempname) {
		this.osidinstibzwkrsempname = osidinstibzwkrsempname;
	}

	public void setOSIDINSTITELNO(String osidinstitelno) {
		this.osidinstitelno = osidinstitelno;
	}

	public void setOSIDINSTIYN(String osidinstiyn) {
		this.osidinstiyn = osidinstiyn;
	}

	public void setTESTMASTERYN(String testmasteryn) {
		this.testmasteryn = testmasteryn;
	}

	public void setADPTRINSTINAME(String adptrinstiName) {
		this.adptrinstiName = adptrinstiName;
	}

	public void setADAPTERDATA(Map<String, AdapterUI> adapterData) {
		this.adapterData = adapterData;
	}

	public void setNEWADPTRNICKNAME(String newadptrnickname) {
		this.newadptrnickname = newadptrnickname;
	}

	public void setCLONEYN(String cloneyn) {
		this.cloneyn = cloneyn;
	}

	public void setLINKEDADAPTERGROUP(String linkedAdapterGroup) {
		this.linkedAdapterGroup = linkedAdapterGroup;
	}

	public void setSAMESESSIONYN(String sameSessionYn) {
		this.sameSessionYn = sameSessionYn;
	}

	public void setPAIRADAPTERYN(String pairAdapterYn) {
		this.pairAdapterYn = pairAdapterYn;
	}

	public void setCLIENTID(String clientId) {
		this.clientId = clientId;
	}

}
